"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusBarContribution = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const layout_1 = require("@opensumi/ide-core-browser/lib/layout");
const services_1 = require("@opensumi/ide-core-browser/lib/services");
const common_1 = require("../common");
const status_bar_view_1 = require("./status-bar.view");
let StatusBarContribution = class StatusBarContribution {
    registerComponent(registry) {
        registry.register('@opensumi/ide-status-bar', {
            component: status_bar_view_1.StatusBarView,
            id: 'ide-status-bar',
        }, {
            size: 24,
        });
    }
    registerCommands(commands) {
        commands.registerCommand(services_1.StatusBarCommand.changeBackgroundColor, {
            execute: (backgroundColor) => this.statusBarService.setBackgroundColor(backgroundColor),
        });
        commands.registerCommand(services_1.StatusBarCommand.changeColor, {
            execute: (color) => this.statusBarService.setColor(color),
        });
        commands.registerCommand(services_1.StatusBarCommand.addElement, {
            execute: (id, entry) => this.statusBarService.addElement(id, entry),
        });
        commands.registerCommand(services_1.StatusBarCommand.toggleElement, {
            execute: (entryId) => {
                this.statusBarService.toggleElement(entryId);
            },
        });
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.IStatusBarService),
    tslib_1.__metadata("design:type", Object)
], StatusBarContribution.prototype, "statusBarService", void 0);
StatusBarContribution = tslib_1.__decorate([
    (0, ide_core_browser_1.Domain)(layout_1.ComponentContribution, ide_core_browser_1.CommandContribution)
], StatusBarContribution);
exports.StatusBarContribution = StatusBarContribution;
//# sourceMappingURL=status-bar.contribution.js.map