"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusBarView = void 0;
const tslib_1 = require("tslib");
const classnames_1 = tslib_1.__importDefault(require("classnames"));
const mobx_react_lite_1 = require("mobx-react-lite");
const react_1 = tslib_1.__importStar(require("react"));
const constants_1 = require("@opensumi/ide-core-browser/lib/layout/constants");
const view_id_1 = require("@opensumi/ide-core-browser/lib/layout/view-id");
const next_1 = require("@opensumi/ide-core-browser/lib/menu/next");
const react_hooks_1 = require("@opensumi/ide-core-browser/lib/react-hooks");
const services_1 = require("@opensumi/ide-core-browser/lib/services");
const status_bar_item_view_1 = require("./status-bar-item.view");
const status_bar_module_less_1 = tslib_1.__importDefault(require("./status-bar.module.less"));
exports.StatusBarView = (0, react_1.memo)((0, mobx_react_lite_1.observer)(() => {
    const statusBar = (0, react_hooks_1.useInjectable)(services_1.IStatusBarService);
    const ctxMenuRenderer = (0, react_hooks_1.useInjectable)(next_1.ICtxMenuRenderer);
    const layoutViewSize = (0, react_hooks_1.useInjectable)(constants_1.LayoutViewSizeConfig);
    const backgroundColor = statusBar.getBackgroundColor();
    const color = statusBar.getColor();
    const handleCtxMenu = (0, react_1.useCallback)((e) => {
        e.preventDefault();
        const result = (0, next_1.generateCtxMenu)({
            menus: statusBar.contextMenu,
            args: [],
        });
        ctxMenuRenderer.show({
            anchor: { x: e.clientX, y: e.clientY },
            menuNodes: result[1],
        });
    }, []);
    return (react_1.default.createElement("div", { id: view_id_1.VIEW_CONTAINERS.STATUSBAR, className: status_bar_module_less_1.default.statusBar, style: { backgroundColor, height: layoutViewSize.statusBarHeight + 'px' }, onContextMenu: handleCtxMenu },
        react_1.default.createElement("div", { className: (0, classnames_1.default)(status_bar_module_less_1.default.area, status_bar_module_less_1.default.left) }, statusBar.leftEntries.length
            ? statusBar.leftEntries.map((entry, index) => (react_1.default.createElement(status_bar_item_view_1.StatusBarItem, Object.assign({ key: `${entry.entryId}-${index}` }, Object.assign(Object.assign({}, entry), { color: color !== null && color !== void 0 ? color : entry.color })))))
            : null),
        react_1.default.createElement("div", { className: (0, classnames_1.default)(status_bar_module_less_1.default.area, status_bar_module_less_1.default.right) }, statusBar.rightEntries.length
            ? statusBar.rightEntries.map((entry, index) => (react_1.default.createElement(status_bar_item_view_1.StatusBarItem, Object.assign({ key: `${entry.entryId}-${index}` }, Object.assign(Object.assign({}, entry), { color: color !== null && color !== void 0 ? color : entry.color })))))
            : null)));
}));
exports.StatusBarView.displayName = 'StatusBar';
//# sourceMappingURL=status-bar.view.js.map